## avahi 0.6.24-0maemo2

=== debian/changelog ===
avahi (0.6.24-0maemo2) unstable; urgency=low

  * Removed upstart-job from dependencies.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 10 May 2010 03:29:45 +0300
