## avahi 0.6.24-0maemo3

=== debian/changelog ===
avahi (0.6.24-0maemo3) unstable; urgency=low

  * Packages optified
  * Removed broken link to upstart-job

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 16 Feb 2012 13:54:52 +0100
