## avahi 0.6.24-0maemo4

=== debian/changelog ===
avahi (0.6.24-0maemo4) unstable; urgency=low

  * Fixed script /etc/init.d/avahi-daemon

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 26 Feb 2012 10:19:02 +0100
