## avahi 0.6.24-0maemo5

=== debian/changelog ===
avahi (0.6.24-0maemo5) unstable; urgency=low

  * Fixed starting avahi-daemon at boot

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 10 Apr 2012 22:02:37 +0200
