## avahi 0.6.27

=== debian/changelog ===
avahi (0.6.27-2ubuntu3.1) maverick-security; urgency=low

  * SECURITY UPDATE: denial of service via NULL packet
    - debian/patches/04_CVE-2011-1002.patch: still read corrupt packets
      from sockets in avahi-core/socket.c.
    - CVE-2011-1002

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 04 Mar 2011 14:07:16 -0500

avahi (0.6.27-2ubuntu3) maverick; urgency=low

  * This time, let's have *correct* udeb shlibs (LP: #636101).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Sep 2010 16:57:05 +0100

avahi (0.6.27-2ubuntu2) maverick; urgency=low

  * Restore udeb shlibs, lost in the last merge (LP: #636101).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Sep 2010 08:42:25 +0100

avahi (0.6.27-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Remove linux-any as it is not yet supported by Soyuz
    - Add versioned dependency on the dbus that satisfies our upstart job
      dependency.
    - Add udebs corresponding to libavahi-common3 and libavahi-core6, so that
      we can use them for Eucalyptus integration in the installer.
    - Recommend dhcp3-client instead of isc-dhcp-client (not yet available in
      Ubuntu)
  * debian/rules:
  * debian/avahi-daemon.init:
  * debian/avahi-dnsconfd.init:
    - Avahi init scripts (daemon or dnsconfd) do not need to
      be started before gdm, and do not need to be stopped specially on
      shutdown.
  * debian/avahi-daemon.postinst:
  * debian/avahi-dnsconfd.postinst:
    - Use Ubuntu versions for migration scripts
  * debian/avahi-autoipd.preinst:
  * debian/avahi-autoipd.install:
  * debian/avahi-autoipd.postinst:
  * debian/avahi-autoipd.postrm:
    - Disable DHCP 3 to 4 migration (not yet in Ubuntu)
  * debian/avahi-daemon.upstart:
  * debian/avahi-dnsconfd.upstart:
    - Add Upstart config
  * debian/patches/03_gir_1.1.patch:
    - Compile with the latest Gobject introspection

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 25 Aug 2010 18:05:20 +1000

avahi (0.6.27-2) unstable; urgency=low

  * Added debian/patches/02_avahi_client.patch:
    - Let the client check if the daemon is already running instead of just
      trying to start it, which doesn't work if there is no service file (the
      service file is just meant for systems using system.d) (Closes: #590760)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 15 Aug 2010 23:29:26 +0100

avahi (0.6.27-1) unstable; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02_have_gtk2_build_fix.patch (merged upstream)
    - debian/patches/26_am_maintainer_mode.patch (no longer required)
    - debian/patches/99_autoreconf.patch (no longer required)
  * Drop Howl compatibility library. (Closes: #588389)
    Development of the original Howl implementation has been discontinued and
    there are no more reverse dependencies in the Debian archive since lenny.

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Jul 2010 23:20:51 +0200

avahi (0.6.26-1) unstable; urgency=low

  * New upstream release.
    - Make avahi limits configurable instead of setting them during compile
      time and bump up the default limits. (Closes: #557931)
    - Clarify avahi-daemon.conf.5 man page. (Closes: #549445)
    - Don't ignore mDNS response records containing link-local addresses.
      (Closes: #567067)
  * Remove patches that were merged upstream
    - debian/patches/11_avahi-autoipd.action-add-routes.patch
    - debian/patches/15-manpage-typo-fixes.patch
    - debian/patches/20_avahi-daemon_kfreebsd.patch
    - debian/patches/25_check_net_if_dl_h_for_pfroute.patch
    - debian/patches/30_dont_reflect_link-local_addresses.patch
  * debian/patches/02_have_gtk2_build_fix.patch
    - Fix build for systems that have gtk2 but no gtk3.
  * debian/patches/99_autoreconf.patch
    - Refresh for new upstream release.
  * debian/rules
    - Disable gtk3 support.
  * debian/avahi-daemon.install
    - Install interfaces into standard D-Bus interfaces directory.
  * debian/{avahi-autoipd.install,rules}
    - The dhclient hooks are installed to /etc/dhcp by upstream now.
  * Bump libavahi-core soname from 6 to 7.
  * Replace libglade with GtkBuilder
    - Drop Build-Depends on libglade2-dev.
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.14.0).
    - Update debian/avahi-discover.install for avahi-discover.ui.
  * Update debian/python-avahi.install and debian/avahi-discover.install for
    python dist-packages transition.
  * Bump Standards-Version to 3.9.0. Use architecture wildcard linux-any for
    the libcap-dev Build-Depends and avahi-autoipd.
  * Remove AVAHI_DNSCONFD_START option because we start avahi-dnsconfd by
    default anyway. As /etc/default/avahi-dnsconfd is now empty, remove it on
    upgrades.
  * debian/libavahi-common-data.install
    - Install avahi gettext translations.
  * debian/avahi-daemon.examples
    - Install sftp-ssh.service file. (Closes: #389336)
  * debian/control
    - Recommend isc-dhcp-client instead of dhcp3-client.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Jul 2010 23:38:16 +0200

avahi (0.6.25-4) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Bump Standards-Version to 3.8.4. No further changes.
  * Move dhclient hooks from /etc/dhcp3/ to /etc/dhcp/ as isc-dhcp-client
    (ISC DHCP v4) uses this new location. Create symlinks for dhcp3-client
    and preserve any local modifications. (Closes: #583992)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Jun 2010 01:44:57 +0200

avahi (0.6.25-3) unstable; urgency=low

  * debian/control
    - Fix package description for libavahi-gobject0. (Closes: #528916)
    - Change section of avahi-ui-utils to utils. (Closes: #560830)
    - Bump Standards-Version to 3.8.3. No further changes.
  * debian/patches/20_avahi-daemon_kfreebsd.patch

