## avahi 0.6.30

=== debian/changelog ===
avahi (0.6.30-5ubuntu2.2) precise; urgency=medium

  * debian/patches/lp-1342400-invalid-response-packet.patch:
    - Stop printing "Invalid response packet" messages to system log, they can
      occur frequently filling the logs from some mDNS stacks.  Patch from
      upstream commit de7cde877e4daa5d9d4fb5b1a349299eaa94969d (LP: #1342400)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Fri, 10 Jun 2016 07:12:31 +0000

avahi (0.6.30-5ubuntu2.1) precise-proposed; urgency=low

  [ Serge Hallyn ]
  * d/p/skip-nproc-in-container.patch: Detect whether we are running in a
    container, and do not set rlimit_nproc if so (LP: #1251257)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 11 Dec 2013 12:19:38 -0500

avahi (0.6.30-5ubuntu2) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 12:06:42 +0100

avahi (0.6.30-5ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Build with CFLAGS=-UGTK_DISABLE_DEPRECATED due to deprecation of
      gtk_vbox_new.
    - debian/control: Add versioned dependency on the dbus that satisfies our
      upstart job dependency.
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, so
      that we can use them for Eucalyptus integration in the installer.
    - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart
    - debian/avahi-autoipd.{pre,post}inst: Adjust package versions for conffile
      migration for the version when Ubuntu did the DHCP4 migration. This needs
      to be kept until after the next LTS.
    - debian/avahi-{daemon,dnsconfd}.links: Remove systemd configuration
      symlinks.
  * Pass CFLAGS from the environment through to configure.  This by default
    will turn on optimisations and debug symbol generation, both of which
    are currently disabled.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 18 Oct 2011 14:46:25 +1100

avahi (0.6.30-5) unstable; urgency=low

  * debian/control: Make python-avahi Architecture: any so the path to
    service-types.db in ServiceTypeDatabase.py is correctly set.
    (Closes: #632437)

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Jul 2011 10:37:15 +0200

avahi (0.6.30-4ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with CFLAGS=-UGTK_DISABLE_DEPRECATED due to deprecation of
      gtk_vbox_new.
    - debian/control: Add versioned dependency on the dbus that satisfies our
      upstart job dependency.
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, so
      that we can use them for Eucalyptus integration in the installer.
    - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart
    - debian/avahi-autoipd.{pre,post}inst: Adjust package versions for conffile
      migration for the version when Ubuntu did the DHCP4 migration. This needs
      to be kept until after the next LTS.
    - debian/avahi-{daemon,dnsconfd}.links: Remove systemd configuration
      symlinks.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2011 13:29:42 +0000

avahi (0.6.30-4) unstable; urgency=low

  * Add multiarch support. Patch courtesy of Steve Langasek. (Closes: #631836)

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jul 2011 02:28:05 +0200

avahi (0.6.30-3ubuntu3) oneiric; urgency=low

  * Build with CFLAGS=-UGTK_DISABLE_DEPRECATED due to deprecation of
    gtk_vbox_new.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jun 2011 10:41:14 +0000

avahi (0.6.30-3ubuntu2) oneiric; urgency=low

  * No-change rebuild to get consistent changelog files for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jun 2011 09:21:11 +0100

avahi (0.6.30-3ubuntu1) oneiric; urgency=low

  * Merge with Debian to get GTK 3 support. See 0.6.30-2ubuntu1 for remaining
    Ubuntu changes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 May 2011 21:46:44 +0200

avahi (0.6.30-3) unstable; urgency=low

  * Enable GTK3 support. (Closes: #610772)
    - Add Build-Depends on libgtk-3-dev.
    - Add libavahi-ui-gtk3-0 and libavahi-ui-gtk3-dev package.
    - Make libavahi-ui-gtk3-dev conflict with libavahi-ui-dev, as both
      packages ship the same header file.
    - Pass --enable-gtk3 to configure.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Apr 2011 16:50:38 +0200

avahi (0.6.30-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable; remaining Ubuntu changes:
   - debian/control: Add versioned dependency on the dbus that satisfies our
     upstart job dependency.
   - Add udebs corresponding to libavahi-common3 and libavahi-core7, so
     that we can use them for Eucalyptus integration in the installer.
   - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart
   - debian/avahi-autoipd.{pre,post}inst: Adjust package versions for conffile
     migration for the version when Ubuntu did the DHCP4 migration. This needs
     to be kept until after the next LTS.
   - debian/avahi-{daemon,dnsconfd}.links: Remove systemd configuration
     symlinks.
   - Multiarch support:
     + debian/compat: Move to dh compat 9.
     + debian/control: Add Multi-Arch: tags, bump debhelper build
       dependency to debhelper which supports Multiarch, and add
       ${misc:Pre-Depends} fields.
     + debian/*.install: Update path to libraries, pkg-config files, etc.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Apr 2011 22:03:23 +0200

avahi (0.6.30-2) unstable; urgency=low

  * Remove Qt3 integration library. With KDE3 gone, there is no more package
    using it. (Closes: 604341)
    - Drop Build-Depends on libqt3-mt-dev.
    - Drop libavahi-qt3-1 and libavahi-qt3-dev package.
    - Update debian/rules, pass --disable-qt3 to configure.
  * Remove libtool .la files for libavahi-client and libavahi-common.
  * Stop cleaning up dependency_libs from libtool .la files. No longer
    required as we don't install any .la files anymore.
  * Bump Standards-Version to 3.9.2. No further changes.


