=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
            Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>,
            Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 7),
-               cdbs (>= 0.4.43),
+Build-Depends: debhelper (>= 8.1.3),
                pkg-config,
-               python-support (>= 0.6),
-               libcap-dev (>= 1:2.16) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386],
+               libcap-dev (>= 1:2.16) [linux-any],
                libgdbm-dev,
                libglib2.0-dev (>= 2.4),
                libgtk2.0-dev (>= 2.14.0),
+               libgtk-3-dev,
                libexpat-dev,
                libdaemon-dev (>= 0.11),
                libdbus-1-dev (>= 0.60),
-               python-all-dev (>= 2.3.5-11),
+               python-all-dev (>= 2.6.6-3~),
                python-gdbm (>= 2.4.3),
                python-dbus,
                python-gtk2 (>= 2.8.6-2),
-               libqt3-mt-dev,
                libqt4-dev,
                xmltoman,
                intltool (>= 0.35.0)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-utopia/avahi.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-utopia/avahi.git;a=summary
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/avahi/ubuntu
 Homepage: http://avahi.org/
 
@@ -35,12 +35,14 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         upstart (>= 0.6.7-4),
          adduser,
          dbus (>= 1.2.16-0ubuntu3),
          lsb-base (>= 3.0-6),
          bind9-host | host
 Recommends: libnss-mdns
 Suggests: avahi-autoipd
+Multi-Arch: foreign
 Description: Avahi mDNS/DNS-SD daemon
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -73,11 +75,11 @@
 
 Package: avahi-autoipd
 Section: net
-Architecture: i386 ia64 alpha amd64 armeb armel arm hppa lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser
-Recommends: dhcp3-client,
+Recommends: isc-dhcp-client,
             iproute
 Conflicts: zeroconf
 Description: Avahi IPv4LL network address configuration daemon
@@ -95,7 +97,7 @@
 
 Package: python-avahi
 Section: python
-Architecture: all
+Architecture: any
 Depends: ${python:Depends},
          ${misc:Depends},
          python-gdbm (>= 2.4.3-1),
@@ -152,6 +154,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libavahi-common-data
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Avahi common library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -166,6 +170,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}
+Multi-Arch: same
 Description: Avahi common data files
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -204,6 +209,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Avahi's embeddable mDNS/DNS-SD library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -251,6 +258,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Avahi client library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -283,6 +292,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Avahi glib integration library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -298,6 +309,3 @@
 Architecture: any
 Depends: libavahi-glib1 (= ${binary:Version}),
          ${misc:Depends},
-         libglib2.0-dev,
-         libavahi-common-dev
-Description: Development headers for the Avahi glib integration library
